%global srcname apptools

Name:           python-AppTools
Version:        4.4.0
Release:        3%{?dist}
Summary:        Enthough Tool Suite Application Tools
Group:          Development/Libraries
License:        BSD and LGPLv2+
URL:            http://code.enthought.com/projects/app_tools/
Source0:        https://github.com/enthought/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
Source1:        README.fedora.%{name}
BuildArch:      noarch

%description
The AppTools project includes a set of packages that Enthought has
found useful in creating a number of applications. They implement
functionality that is commonly needed by many applications

    * enthought.appscripting: Framework for scripting applications.

    * enthought.help: Provides a plugin for displaying documents and
      examples and running demos in Envisage Workbench applications.

    * enthought.io: Provides an abstraction for files and folders in a
      file system.

    * enthought.naming: Manages naming contexts, supporting non-string
      data types and scoped preferences

    * enthought.permissions: Supports limiting access to parts of an
      application unless the user is appropriately authorised (not
      full-blown security).

and many more.

%package -n python-%{srcname}-doc
Summary:        Documentation for %{name}
BuildRequires:  /usr/bin/sphinx-build
Obsoletes:      python-AppTools-doc < 4.4.0-1
Provides:       python-AppTools-doc = %{version}-%{release}

%description -n python-%{srcname}-doc
Documentation and examples for %{name}.

%package -n python2-%{srcname}
Summary:        Enthough Tool Suite Application Tools
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-traits
Requires:       numpy
Requires:       python-configobj
Requires:       python-pyface
%{?python_provide:%python_provide python2-%{srcname}}
Obsoletes:      python-AppTools < 4.4.0-1
Provides:       python-AppTools = %{version}-%{release}

%description -n python2-%{srcname}
The AppTools project includes a set of packages that Enthought has
found useful in creating a number of applications. They implement
functionality that is commonly needed by many applications

    * enthought.appscripting: Framework for scripting applications.

    * enthought.help: Provides a plugin for displaying documents and
      examples and running demos in Envisage Workbench applications.

    * enthought.io: Provides an abstraction for files and folders in a
      file system.

    * enthought.naming: Manages naming contexts, supporting non-string
      data types and scoped preferences

    * enthought.permissions: Supports limiting access to parts of an
      application unless the user is appropriately authorised (not
      full-blown security).

and many more.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Enthough Tool Suite Application Tools
BuildRequires:  /usr/bin/2to3
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-traits
Requires:       python%{python3_pkgversion}-numpy
Requires:       python%{python3_pkgversion}-configobj
Requires:       python%{python3_pkgversion}-pyface
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
The AppTools project includes a set of packages that Enthought has
found useful in creating a number of applications. They implement
functionality that is commonly needed by many applications

    * enthought.appscripting: Framework for scripting applications.

    * enthought.help: Provides a plugin for displaying documents and
      examples and running demos in Envisage Workbench applications.

    * enthought.io: Provides an abstraction for files and folders in a
      file system.

    * enthought.naming: Manages naming contexts, supporting non-string
      data types and scoped preferences

    * enthought.permissions: Supports limiting access to parts of an
      application unless the user is appropriately authorised (not
      full-blown security).

and many more.


%prep
%setup -q -c 
# remove exec permission
find %{srcname}-%{version}/examples -type f -exec chmod 0644 {} ";"
cp -p %{SOURCE1} README.fedora
mv %{srcname}-%{version} python2
rm -rf python2/*.egg-info
cp -pr python2 python3
2to3 --write python3


%build
pushd python2
%py2_build
pushd docs
make html
popd
popd

pushd python3
%py3_build
popd


%install
pushd python2
%py2_install
popd

pushd python3
%py3_install
popd


%files -n python2-%{srcname}
%license python2/*LICENSE*.txt
%doc python2/CHANGES.txt python2/TODO.txt
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/%{srcname}/

%files -n python%{python3_pkgversion}-%{srcname}
%license python3/*LICENSE*.txt
%doc python3/CHANGES.txt python3/TODO.txt
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{srcname}/

%files -n python-%{srcname}-doc
%license python2/*LICENSE*.txt
%doc python2/docs/build/html python2/examples README.fedora

%changelog
* Wed Mar 2 2016 Orion Poplawski <orion@cora.nwra.com> - 4.4.0-3
- Build python3 package

* Wed Mar 2 2016 Orion Poplawski <orion@cora.nwra.com> - 4.4.0-2
- Fix requires

* Mon Feb 29 2016 Orion Poplawski <orion@cora.nwra.com> - 4.4.0-1
- Update to 4.4.0
- Ship python2-apptools

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 25 2015 Orion Poplawski <orion@cora.nwra.com> - 4.2.1-2
- BR /usr/bin/sphinx-build instead of python-sphinx

* Thu Nov 5 2015 Orion Poplawski <orion@cora.nwra.com> - 4.3.0-1
- Update to 4.3.0

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 30 2014 Orion Poplawski <orion@cora.nwra.com> - 4.2.1-1
- Update to 4.2.1

* Tue Aug 6 2013 Orion Poplawski <orion@cora.nwra.com> - 4.2.0-3
- Drop BR on python-setupdocs, no longer used

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Orion Poplawski <orion@cora.nwra.com> - 4.2.0-1
- Update to 4.2.0
- Split off documentation into a separate package

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 05 2011 Rakesh Pandit <rakesh@fedoraproject.org> 3.4.0-1
- Updated to 3.4.0

* Fri Aug 13 2010 Chen Lei <supercyper@163.com> 3.3.2-1
- Update spec to match latest guidelines w.r.t %%clean
- Fix several rpmlint warnings

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jan 31 2010 Rakesh Pandit <rakesh@fedoraproject.org> 3.3.0-1
- Updated to 3.3.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.2.0-1
- Updated

* Thu Jun 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-4
- Added README.fedora

* Fri Apr 24 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-3
- Removed AppTools.egg-info directory

* Fri Mar 06 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-2
- Included examples in %%doc, added python-TraitsGUI & python-EnthoughtBase
- as Requires. Added html folder.

* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-1
- Initial package
